commit fb61a7a203c5de3552e11bd633bc351463e51594
Author: Steve Baird <baird@adacore.com>
Date:   Mon Jul 8 14:45:55 2024 -0700

    ada: Type conversion in instance incorrectly rejected.
    
    In some cases, a legal type conversion in a generic package is correctly
    accepted but the corresponding type conversion in an instance of the generic
    is incorrectly rejected.
    
    gcc/ada/
            PR ada/114593
            * sem_res.adb (Valid_Conversion): Test In_Instance instead of
            In_Instance_Body.

diff --git a/gcc/ada/sem_res.adb b/gcc/ada/sem_res.adb
index 09a2d8adb50..7dde7538734 100644
--- a/gcc/ada/sem_res.adb
+++ b/gcc/ada/sem_res.adb
@@ -14273,7 +14273,7 @@ package body Sem_Res is
 
       --  If it was legal in the generic, it's legal in the instance
 
-      elsif In_Instance_Body then
+      elsif In_Instance then
          return True;
 
       --  If both are tagged types, check legality of view conversions

